Managed Service for MongoDB API, REST: User.Get
Returns the specified StoreDoc User resource.
To get the list of available StoreDoc User resources, make a List request.
HTTP request
GET https://mdb.api.cloud.yandex.net/managed-mongodb/v1/clusters/{clusterId}/users/{userName}
Path parameters
|
Field |
Description |
|
clusterId |
string Required field. ID of the StoreDoc cluster the user belongs to. The maximum string length in characters is 50. |
|
userName |
string Required field. Name of the StoreDoc User resource to return. The maximum string length in characters is 63. Value must match the regular expression |
Response
HTTP Code: 200 - OK
{
"name": "string",
"clusterId": "string",
"permissions": [
{
"databaseName": "string",
"roles": [
"string"
]
}
],
"connectionManager": {
"connectionId": "string"
},
"authType": "string",
"deletionProtection": "boolean"
}
A StoreDoc User resource. For more information, see the
Developer's Guide.
|
Field |
Description |
|
name |
string Name of the StoreDoc user. |
|
clusterId |
string ID of the StoreDoc cluster the user belongs to. |
|
permissions[] |
Set of permissions granted to the user. |
|
connectionManager |
Connection Manager connection configuration. |
|
authType |
enum (AuthType) Authentication type for the user.
|
|
deletionProtection |
boolean Deletion Protection inhibits deletion of the user. |
Permission
|
Field |
Description |
|
databaseName |
string Name of the database that the permission grants access to. |
|
roles[] |
string StoreDoc roles for the |
ConnectionManager
Connection Manager connection configuration.
|
Field |
Description |
|
connectionId |
string ID of Connection Manager connection. |